Bug 1519709 - [3.5.1 REF]Shouldn't show .operations index in non-ops kibana
Summary: [3.5.1 REF]Shouldn't show .operations index in non-ops kibana
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.5.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1528896
TreeView+ depends on / blocked
 
Reported: 2017-12-01 09:10 UTC by Junqi Zhao
Modified: 2018-04-30 05:01 UTC (History)
5 users (show)

(edit)
Feature: Don't display an '.operations' index-mapping in a non-ops ES cluster

Reason: Operations indices will never exist in a non-ops ES cluster

Result: The index-mapping is no longer visible.
Clone Of: 1519706
: 1528896 1572531 (view as bug list)
(edit)
Last Closed: 2018-04-30 05:00:57 UTC


Attachments (Terms of Use)
enabled ops cluster, won't show .operations index in non-ops kibana UI now (215.24 KB, image/png)
2018-04-17 05:58 UTC, Junqi Zhao
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1235 None None None 2018-04-30 05:01 UTC

Description Junqi Zhao 2017-12-01 09:10:26 UTC
+++ This bug was initially created as a clone of Bug #1519706 +++

**********************************************************************
Description of problem:
When ops is enabled, there is still a .operations index in non-ops kibana, when we click the .operations index, the kibana was tring to search records. that is wrong. We should use ops kibana to view operation logs.  the .operations index should be deleted in non-ops elasticsearch and kibana

Version-Release number of selected component (if applicable):
logging-elasticsearch/images/v3.6.173.0.63-12
logging-elasticsearch/images/v3.6.173.0.63-12
logging-auth-proxy/images/v3.6.173.0.63-11
logging-fluentd/images/v3.6.173.0.63-11

How reproducible:
always

Steps to Reproduce:
1.  Deploy logging and enable ops elasticsearch

openshift_logging_install_logging=true
openshift_logging_image_prefix=registry.example.com/openshift3/
openshift_logging_namespace=logging
openshift_logging_es_cluster_size=1
openshift_logging_es_memory_limit=1Gi

openshift_logging_use_ops=true
openshift_logging_es_ops_memory_limit=1Gi
openshift_logging_es_ops_cluster_size=1


openshift_logging_use_mux=true
openshift_logging_use_mux_client=true




2. cluster-admin search records in non-ops kibana

Actual results:
There is a .operations index.

Expected results:
There isn't .operations index.


Additional info:
**********************************************************************

Comment 2 Junqi Zhao 2018-04-17 05:57:32 UTC
Deploy logging with enabled ops cluster, won't show .operations index in non-ops kibana UI now, see the attached picture

# oc exec logging-es-b61s6ql9-1-9jng8 -c elasticsearch -- ls -al /elasticsearch/persistent/logging-es/data/logging-es/nodes/0/indices/
total 4
drwxr-sr-x. 8 1000050000 1000050000 4096 Apr 17 05:46 .
drwxr-sr-x. 4 1000050000 1000050000   52 Apr 17 05:35 ..
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 17 05:35 .kibana
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 17 05:45 .kibana.ef0b7ff169fdc9202e567ce53aa5e17320cb2d7d
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 17 05:35 .searchguard.logging-es-b61s6ql9
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 17 05:35 project.install-test.b6d9869d-41d6-11e8-b59d-fa163e25703f.2018.04.17
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 17 05:46 project.java.b365bf53-4202-11e8-ae68-fa163e25703f.2018.04.17
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 17 05:35 project.logging.8515c5e7-41d6-11e8-8b8b-fa163e25703f.2018.04.17

# oc exec logging-es-ops-3m3a5w5c-1-dtl2q -c elasticsearch -- ls -al /elasticsearch/persistent/logging-es-ops/data/logging-es-ops/nodes/0/indices/
total 0
drwxr-sr-x. 6 1000050000 1000050000 151 Apr 17 05:45 .
drwxr-sr-x. 4 1000050000 1000050000  52 Apr 17 05:35 ..
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 17 05:36 .kibana
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 17 05:45 .kibana.ef0b7ff169fdc9202e567ce53aa5e17320cb2d7d
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 17 05:36 .operations.2018.04.17
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 17 05:35 .searchguard.logging-es-ops-3m3a5w5c


# openshift version
openshift v3.5.5.31.67
kubernetes v1.5.2+43a9be4
etcd 3.1.0

logging-curator/images/v3.5.5.31.66-3
logging-kibana/images/v3.5.5.31.66-56
logging-elasticsearch/images/v3.5.5.31.66-64
logging-fluentd/images/v3.5.5.31.66-55
logging-auth-proxy/images/v3.5.5.31.66-49

Comment 3 Junqi Zhao 2018-04-17 05:58 UTC
Created attachment 1422910 [details]
enabled ops cluster, won't show .operations index in non-ops kibana UI now

Comment 5 Wei Sun 2018-04-23 06:43:29 UTC
Change to previous VERIFIED status since this was moved to ON_QA by errata but no  any build change in errata.

Comment 6 Junqi Zhao 2018-04-23 07:57:37 UTC
Deploy logging with enabled ops cluster, it won't show .operations index in non-ops kibana UI now

# oc exec logging-es-065nv67k-1-mjwsr -c elasticsearch -- ls -al /elasticsearch/persistent/logging-es/data/logging-es/nodes/0/indices/
total 4
drwxr-sr-x. 8 1000050000 1000050000 4096 Apr 23 07:52 .
drwxr-sr-x. 4 1000050000 1000050000   52 Apr 23 07:31 ..
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 23 07:31 .kibana
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 23 07:52 .kibana.ef0b7ff169fdc9202e567ce53aa5e17320cb2d7d
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 23 07:31 .searchguard.logging-es-065nv67k
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 23 07:32 project.install-test.43f1f117-46c4-11e8-822e-fa163e2b3b28.2018.04.23
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 23 07:37 project.java.2fb80a5e-46c9-11e8-a15b-fa163e2b3b28.2018.04.23
drwxr-sr-x. 4 1000050000 1000050000   29 Apr 23 07:31 project.logging.1b9ea823-46c4-11e8-822e-fa163e2b3b28.2018.04.23


# oc exec logging-es-ops-frb32twp-1-b2z2c -c elasticsearch -- ls -al /elasticsearch/persistent/logging-es-ops/data/logging-es-ops/nodes/0/indices/
total 0
drwxr-sr-x. 6 1000050000 1000050000 151 Apr 23 07:52 .
drwxr-sr-x. 4 1000050000 1000050000  52 Apr 23 07:31 ..
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 23 07:31 .kibana
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 23 07:52 .kibana.ef0b7ff169fdc9202e567ce53aa5e17320cb2d7d
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 23 07:32 .operations.2018.04.23
drwxr-sr-x. 4 1000050000 1000050000  29 Apr 23 07:31 .searchguard.logging-es-ops-frb32twp



# openshift version
openshift v3.5.5.31.67
kubernetes v1.5.2+43a9be4
etcd 3.1.0


logging-auth-proxy/images/v3.5.5.31.67-1
logging-curator/images/v3.5.5.31.67-3
logging-elasticsearch/images/v3.5.5.31.67-1
logging-kibana/images/v3.5.5.31.67-1
logging-fluentd/images/v3.5.5.31.67-1

Comment 9 errata-xmlrpc 2018-04-30 05:00:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1235


Note You need to log in before you can comment on or make changes to this bug.